//
//  StackDexApp.swift
//  StackDex
//
//  Created by Matthias Meister on 18.04.26.
//

import SwiftUI
import SwiftData

@main
struct StackDexApp: App {
    var sharedModelContainer: ModelContainer = {
        let schema = Schema([
            ConfirmedScanRecord.self,
        ])
        let modelConfiguration = ModelConfiguration(schema: schema, isStoredInMemoryOnly: false)

        do {
            return try ModelContainer(for: schema, configurations: [modelConfiguration])
        } catch {
            fatalError("Could not create ModelContainer: \(error)")
        }
    }()

    var body: some Scene {
        WindowGroup {
            ContentView()
        }
        .modelContainer(sharedModelContainer)
    }
}
